---
id: tsg-wallet
title: "TSG Wallet"
description: "The TSG Wallet is a SSI wallet that can issue and store verifiable credentials and create presentations to be used within data spaces.<br /><br />"
sidebar_label: Introduction
sidebar_position: 0
hide_title: true
custom_edit_url: null
---

import ApiLogo from "@theme/ApiLogo";
import Heading from "@theme/Heading";
import SchemaTabs from "@theme/SchemaTabs";
import TabItem from "@theme/TabItem";
import Export from "@theme/ApiExplorer/Export";

<Export
  url={"openapi.yaml"}
  proxy={undefined}
>
  
</Export>

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"TSG Wallet"}></Heading>

The TSG Wallet is a SSI wallet that can issue and store verifiable credentials and create presentations to be used within data spaces.<br /><br />
The wallet is aimed at multi-tier deployments, with one (or more) wallet that acts as trust anchor for a data space and indivual wallets for each of the participants in the data space. On this page the central wallet that issues credentials will be called the Dataspace Wallet although it is not required that there always is exactly one issuer of credentials in a dataspace.<br /><br />
**_Note_**: This OpenAPI definition is not intended to be directly linked with a single Wallet instance.

<div style={{ marginBottom: "2rem" }}>
  <Heading
    id={"authentication"}
    as={"h2"}
    className={"openapi-tabs__heading"}
    children={"Authentication"}></Heading>
  <SchemaTabs className={"openapi-tabs__security-schemes"}>
    <TabItem label={"OAuth 2.0: oauth2"} value={"oauth2"}>
      <div>
        <table>
          <tbody>
            <tr>
              <th>Security Scheme Type:</th>
              <td>oauth2</td>
            </tr>
            <tr>
              <th>OAuth Flow (password):</th>
              <td>
                <span>Scopes:</span>
                <ul>
                  <li>wallet_view_did: wallet_view_did</li>
                  <li>wallet_manage_keys: wallet_manage_keys</li>
                  <li>
                    wallet_view_own_credentials: wallet_view_own_credentials
                  </li>
                  <li>
                    wallet_view_all_credentials: wallet_view_all_credentials
                  </li>
                  <li>
                    wallet_manage_own_credentials: wallet_manage_own_credentials
                  </li>
                  <li>
                    wallet_manage_all_credentials: wallet_manage_all_credentials
                  </li>
                  <li>wallet_issue_credentials: wallet_issue_credentials</li>
                  <li>wallet_view_presentations: wallet_view_presentations</li>
                </ul>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </TabItem>
  </SchemaTabs>
</div>
<div style={{ marginBottom: "var(--ifm-paragraph-margin-bottom)" }}>
  <h3 style={{ marginBottom: "0.25rem" }}>License</h3>
  <a href={"https://www.apache.org/licenses/LICENSE-2.0.html"}>Apache 2.0</a>
</div>
